# Gimp.brushes_get_list

    @accepts(unicode)
    @returns([Gimp.Brush])
    def brushes_get_list(filter):
        # Python wrapper for gimp_brushes_get_list()

Retrieve a complete listing of the available brushes.

This procedure returns a complete listing of available GIMP brushes. Each brush returned can be used as input to [func@Gimp.context_set_brush].

filter

  An optional regular expression used to filter the list.

Returns